Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 623125 - SELinux is preventing /usr/lib/cups/backend/cups-pdf "getattr" access on /root.
SELinux is preventing /usr/lib/cups/backend/cups-pdf "getattr" access on...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:1abee23786b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 08:03 EDT by bobpoljakov
Modified: 2010-08-17 01:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-47.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 01:39:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bobpoljakov 2010-08-11 08:03:06 EDT
Summary:

SELinux is preventing /usr/lib/cups/backend/cups-pdf "getattr" access on /root.

Detailed Description:

[cups-pdf has a permissive type (cups_pdf_t). This access was not denied.]

SELinux denied access requested by cups-pdf. It is not expected that this access
is required by cups-pdf and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:cups_pdf_t:s0-s0:c0.c1023
Target Context                system_u:object_r:admin_home_t:s0
Target Objects                /root [ dir ]
Source                        cups-pdf
Source Path                   /usr/lib/cups/backend/cups-pdf
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           cups-pdf-2.5.0-3.fc12
Target RPM Packages           filesystem-2.4.31-1.fc13
Policy RPM                    selinux-policy-3.7.19-44.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.6-147.2.4.fc13.x86_64 #1
                              SMP Fri Jul 23 17:14:44 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Wed 11 Aug 2010 02:01:36 PM CEST
Last Seen                     Wed 11 Aug 2010 02:01:36 PM CEST
Local ID                      e2a814c7-bca1-4f22-826e-f34a8b7334ac
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1281528096.966:23124): avc:  denied  { getattr } for  pid=16289 comm="cups-pdf" path="/root" dev=sda2 ino=40964 scontext=system_u:system_r:cups_pdf_t:s0-s0:c0.c1023 tcontext=system_u:object_r:admin_home_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1281528096.966:23124): arch=c000003e syscall=4 success=yes exit=128 a0=c08970 a1=7fff9193e5d0 a2=7fff9193e5d0 a3=fffffffb items=0 ppid=1273 pid=16289 auid=4294967295 uid=0 gid=7 euid=0 suid=0 fsuid=0 egid=7 sgid=7 fsgid=7 tty=(none) ses=4294967295 comm="cups-pdf" exe="/usr/lib/cups/backend/cups-pdf" subj=system_u:system_r:cups_pdf_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,cups-pdf,cups_pdf_t,admin_home_t,dir,getattr
audit2allow suggests:

#============= cups_pdf_t ==============
allow cups_pdf_t admin_home_t:dir getattr;
Comment 1 Daniel Walsh 2010-08-11 08:05:25 EDT
Were you trying to print a file to /root?

Did you restart the cupsd daemon while sitting in /root?
Comment 2 bobpoljakov 2010-08-11 08:13:09 EDT
No, I was using the CUPS web based admin page (localhost:631)
On my cups-pdf printer page, I've chosen maintenance / set deafault options, and then I clicked on Query printer for default options
Comment 3 Daniel Walsh 2010-08-11 08:17:59 EDT
Miroslav, add

userdom_dontaudit_search_admin_dir(cupsd_pdf_t)
Comment 4 Miroslav Grepl 2010-08-11 08:22:24 EDT
Fixed in selinux-policy-3.7.19-46.fc13
Comment 5 Fedora Update System 2010-08-13 10:18:53 EDT
selinux-policy-3.7.19-47.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-47.fc13
Comment 6 Fedora Update System 2010-08-13 17:07:19 EDT
selinux-policy-3.7.19-47.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-47.fc13
Comment 7 Fedora Update System 2010-08-17 01:38:06 EDT
selinux-policy-3.7.19-47.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.